Class UmlBaseComponentView

Manage the component views

Declaration :

- C++ : class UmlBaseComponentView : public UmlView
- Java : abstract class UmlBaseComponentView extends UmlView

Directly inherited by : UmlComponentView

Artifact : UmlBaseComponentView

Operation create

returns a new component view named 's' created under 'parent'
In case it cannot be created (the name is already used or
invalid, 'parent' cannot contain it etc ...) return 0 in C++
and produce a RuntimeException in Java

Declaration :

- Uml : static, + create(inout parent : UmlPackage, in s : str) : UmlComponentView, exceptions : RuntimeException
- C++ : public: static UmlComponentView * create(UmlPackage * parent, const char * s)
- Java : public static UmlComponentView create(UmlPackage parent, String s) throws RuntimeException

Operation kind

returns the kind of the item

Declaration :

- Uml : + kind() : anItemKind
- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

Operation UmlBaseComponentView

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : # UmlBaseComponentView(in id : item_id, in n : string) :
- C++ : protected: UmlBaseComponentView(void * id, const QCString & n) : UmlView(id, n)
- Java : protected UmlBaseComponentView(long id, String n)

All public operations : apply , applyStereotype , children , childrenVisible , create , defined_ , deleteIt , description , getIdentifier , identifier_ , isMarked , isToolRunning , isWritable , kind , kind , markedItems , moveAfter , name , parent , properties , propertyValue , referencedBy , set_childrenVisible , set_Description , set_isMarked , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload